gnutls_openpgp_crt_get_subkey_revoked_status(3)

NAME
gnutls_openpgp_crt_get_subkey_revoked_status - Gets the revoked status of the key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_subkey_revoked_status(gnutls_openpgp_crt_t key, unsigned int idx);

ARGUMENTS

gnutls_openpgp_crt_t key
    the structure that contains the OpenPGP public key.

unsigned int idx
    is the subkey index

DESCRIPTION
Get subkey revocation status. A negative value indicates an error.

RETURNS
true (1) if the key has been revoked, or false (0) if it has not.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.